# oslo.privsep

oslo.privsep is an OpenStack library for privilege separation.

It helps applications perform actions which require more or less privileges than they were started with in a safe, easy to code and easy to use manner. For more information on why this is generally a good idea please read over the principle of least privilege and the specification which created this library.

## Contents

- Installation
- Usage
  - Defining a context
  - Defining a privileged function
  - Using a privileged function
  - Converting from rootwrap to privsep
- Contributor Guide
  - Contributing
- API
  - oslo_privsep

## Release Notes

Read also the oslo.privsep Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-02-25 08:00:33

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug